html {
    position: relative;
    min-height: 100%;
}

html, body {
    margin: 0;
    padding: 0;
}

footer {
    position: absolute;
    left: 0;
    bottom: 0;
    height: 100px;
    width: 100%;
    overflow: hidden;
}

.site-main main{
    margin-bottom: 150px;
}

nav, .dropdown-menu{
    font-size: 14px;
}

nav.codecms{
    border-bottom-style: dotted;
    border-bottom-color: #a5a5ae;
}

#register .form-group input, #login .form-group input{
    border-top: 0px;
    border-right: 0px;
    border-left: 0px;
}

#post-details button, #register .form-group .form-control:focus, #login .form-group .form-control:focus, .search-input .form-control:focus{
    border-color: #fff !important;
    outline: 0;
    outline-color: initial;
    outline-style: initial;
    outline-width: 0px;
    box-shadow: none !important;
    border-bottom: 1px solid #ced4da !important;
    
}

#registerBtn, #loginBtn, #authBtn, #npassBtn, #fpassBtn{
    border: 1px solid #a5a5ae;
    color: #007bff;
}

.regtologin, .logintoreg{
   font-size: 16px;
}

nav.backend-nav{
  background-color: #343a40 !important;
}

.backend-nav .dropdown-menu{
    background-color: #343a40 !important;  
    margin-top: -2px;
    padding-right: 10px;
}

.backend-nav .navbar-toggler{
    background-color: #fff !important;
    margin-top: 1px;
    margin-bottom: 1px;
}

.backend-nav .navbar-toggler-icon {
    display: inline-block;
    width: 1em;
    height: 1em;
}

.dropdown-menu{
    border-radius: 0;
    min-width: 8rem !important;
    max-width: 10rem;
}

.dropdown-item.active, .dropdown-item:active {
    background-color: #a5a5ae;
}

.backend-nav .dropdown-item:focus, .backend-nav .dropdown-item:hover{
    background-color: #343a40;
}

@media only screen and (min-width:768px){
    .back-side-nav ul{
        min-height: 100vh;
    }

    .back-side-nav{
        margin-bottom: -150px !important;
    }
}

.back-side-nav .list-group {
    border-radius: 0;
}

.back-side-nav .list-group-item{
    padding-right: 0.2rem;
    padding-left: 0.2rem;
    background-color: #343a40;
}

nav.backend-nav ul li a, .backend-nav .back-home-icon, .back-side-nav ul li a{
    color: #D0D3D4 !important;
}

.forgot-password{
  color: #2E86C1;
}

.post-image, .page-image{
    height: 70px;
    width: 110px;
}

.update-image{
    width: 60px;
    height: 40px;
}

#category-posts{
    margin-bottom: 300px;
}